GH-EXTENSION-INSTALL(1)

NAME

gh-extension-install - Install a gh extension from a repository

SYNOPSIS

gh extension install <repository> [flags]

DESCRIPTION

Install a GitHub repository locally as a GitHub CLI extension.

The repository argument can be specified in OWNER/REPO format as well as a full URL. The URL format is useful when the repository is not hosted on github.com.

To install an extension in development from the current directory, use . as the value of the repository argument.

For the list of available extensions, see ⟨https://github.com/topics/gh-extension⟩.

OPTIONS

--force
    force upgrade extension, or ignore if latest already installed

--pin <string>
    pin extension to a release tag or commit ref

EXAMPLE
    $ gh extension install owner/gh-extension
    $ gh extension install https://git.example.com/owner/gh-extension
    $ gh extension install .

SEE ALSO

gh-extension(1)